List loyalty rewards
Retrieve the rewards of a loyalty program.
Endpoint
GET/loyalty-rewards
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
organization_id | number | No | ID of your organization. Optional: results are always filtered to the API key's organization. |
program_id | number | No | Only rewards of this program |
status | string | No | active or inactive |
reward_type | string | No | free_item, discount_fixed, discount_percent or custom |
$limit | number | No | Number of rewards to return (default: 10, max: 50) |
$skip | number | No | Number of rewards to skip (for pagination) |
$sort | object | No | Sort criteria, e.g. $sort[cost]=1 or $sort[sort_order]=1 |
Request
Response
json
Report an issue with this documentation
Please log in to report issues with our documentation.